Subject: bug#72992: 29.4; towards xoauth2 support in Emacs

From: Björn Bidar <[email-masked]>
Date: Mon, 23 Sep 2024 02:50:37 +0300

Xiyue Deng <[email-masked]> writes:

> Hi Björn,
>
> Björn Bidar <[email-masked]> writes:
>
>> Xiyue Deng <[email-masked]> writes:
>>
>>>> [...]
>>>>
>>>>     XD> P.S. Is your set up mentioned in Bug#72358 still working for
>>>>     XD> outlook.com emails?  After reaching out to an MS representative
>>>>     XD> they mentioned that token refresh was disabled[3] for
>>>>     XD> outlook.com so I just gave up.  Maybe it still works for Outlook
>>>>     XD> Org emails?
>>>>
>>>> Yes, it still works perfectly. I suspect that the information they gave
>>>> you isn't fully accurate :)
>>>
>>> Thanks for confirming!  I'll follow-up in private to try to figure this
>>> out if you don't mind.
>>
>> Could you update me on this please too?
>> We have an issue with this at work.
>
> I have reached out to Andrew offline and confirmed Andrew was using a
> corp account, so there might be some corp administration settings that
> enables the refreshing of access_token.  It seems to me that this is
> still not possible for personal outlook.com accounts.

That matches my personal experience. Cooperate accounts are not on
Outlook.com or are they?

To bad I hope there would be some change, maybe someone should reach out
to the EU or so.